<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="java.text.SimpleDateFormat"
	import="java.util.Date"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	final String today = new SimpleDateFormat("yyyyMMdd").format(new Date());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~histology_glass.js" 
	styles="path.css,~../css/reggie-2.css"
	>
<style>
	table#paraffinblock
	{
		margin: 0em 1em 1em 1em;
		border: 1px solid #A0A0A0;
	}
	
	table#paraffinblock > tbody > tr > td
	{
		width: 50%;
		border: 1px solid #A0A0A0;
		padding: 0.5em !important;
	}

	table#paraffinblock span.status
	{
		display: inline-block;
		width: 20px;
		height: 20px;
	}
	
	table#paraffinblock .comment input
	{
		width: 95%;
	}

	#existingGlass img
	{
		float: left;
		padding-right: 0.5em;
	}

	#glassTable
	{
		width: 56em; 
		border-collapse: collapse;
	}
	
	#glassTable th
	{
		padding-left: 2px;
		padding-right: 2px;
		text-align: left;
	}
	
	#glassTable td
	{
		padding: 2px;
	}
	
</style>

</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Register histology HE glass information" 
		/></p:path>

	<div class="content">

	<form name="reggie" id="wizard" class="wizard">

	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select paraffin block</div>
		<div class="step-content">
	
			<table class="step-form">
			<tr class="align-top">
				<td class="prompt">Paraffin blocks</td>
				<td class="input">
					<select name="plates" id="plates" class="required"></select>
				
					<base:buttongroup style="margin-top: 0.5em;">
						<base:button title="Select manually&hellip;" id="btnSelectParaffinBlock" />
					</base:buttongroup>
				</td>
				<td class="status" id="plates.status"></td>
				<td class="help">
					<span id="plates.message" class="message"></span>
					The list contain all paraffin blocks with no child HEglass plates.
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title">Enter index of best stained samples</div>
		<div class="step-content">
	
			<table class="step-form">
			<tr>
				<td class="prompt">Stain date</td>
				<td class="input">
					<input type="text" name="stainDate" id="stainDate"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="stainingProtocol"
						style="width: 8em;" maxlength="10">
						<base:icon 
							id="stainDateCalendar"
							subclass="auto-init"
							data-auto-init="calendar"
							data-textarea-id="stainDate"
							data-date-format="yyyyMMdd"
							data-title="Stain date"
							image="calendar.png" 
							tooltip="Select a date from a calendar" 
							tabindex="-1"
						/>
				</td>
				<td class="status" id="stainDate.status"></td>
				<td class="help">
					<span id="stainDate.message" class="message" style="display: none;"></span>
					(YYYYMMDD or MMDD)
				</td>
			</tr>
			
			<tr>
				<td class="prompt">Protocol</td>
				<td class="input">
					<select name="stainingProtocol" id="stainingProtocol"></select>
				</td>
				<td class="status" id="stainingProtocol.status"></td>
				<td class="help">
					<span id="stainingProtocol.message" class="message"></span>
					Select the protocol which was used for staining.
				</td>
			</tr>

			<tr>
				<td class="prompt">Paraffin block</td>
				<td class="input"><span id="blockName"></span></td>
				<td class="status" id="paraffinblock.status"></td>
				<td class="help"></td>
			</tr>
			<tr class="align-top">
				<td class="subprompt">- comment</td>
				<td class="input"><textarea name="comment" id="comment" rows="2"></textarea></td>
				<td class="status" id="comment.status"></td>
				<td class="help">
					<span id="comment.message" class="message"></span>				
				</td>
			</tr>
			<tr>
				<td class="prompt">HE slides created</td>
				<td class="input">
					<input type="text" class="required" name="numberOfHEGlass" id="numberOfHEGlass"
						value="2" style="width: 4em;">
				</td>
				<td class="status" id="numberOfHEGlass.status"></td>
				<td class="help">
					<span id="numberOfHEGlass.message" class="message"></span>
					Enter the total number of HE glass slides that has been created from the selected paraffin block.
				</td>
			</tr>
				
			<tr class="align-top">
				<td colspan="2">
				
					<table class="step-form" id="paraffinblock">
					<tr>
						<td>
							<b>3</b>: <span id="his.0.0"><i>empty</i></span>
							<input type="text" name="idx.0.0" id="idx.0.0"
								class="required auto-init" data-auto-init="focus-on-enter" data-next-focus="idx.1.0"
								style="width: 2em;">
							<span id="idx.0.0.status" class="status">&nbsp;</span>
							<div class="comment">
								<input type="text" name="comment.0.0" placeholder="Comments">
							</div>
						</td>
						<td>
						</td>
					</tr>
					<tr>
						<td>
							<b>2</b>: <span id="his.1.0"><i>empty</i></span>
							<input type="text" name="idx.1.0" id="idx.1.0"
								class="required auto-init" data-auto-init="focus-on-enter" data-next-focus="idx.1.1"
								style="width: 2em;">
							<span id="idx.1.0.status" class="status">&nbsp;</span>
							<div class="comment">
								<input type="text" name="comment.1.0" placeholder="Comments">
							</div>
						</td>
						<td>
							<b>5</b>: <span id="his.1.1"><i>empty</i></span>
							<input type="text" name="idx.1.1" id="idx.1.1"
								class="required auto-init" data-auto-init="focus-on-enter" data-next-focus="idx.2.0"
								style="width: 2em;">
							<span id="idx.1.1.status" class="status">&nbsp;</span>
							<div class="comment">
								<input type="text" name="comment.1.1" placeholder="Comments">
							</div>
						</td>
					</tr>
					<tr>
						<td>
							<b>1</b>: <span id="his.2.0"><i>empty</i></span>
							<input type="text" name="idx.2.0" id="idx.2.0"
								class="required auto-init" data-auto-init="focus-on-enter" data-next-focus="idx.2.1"
								style="width: 2em;">
							<span id="idx.2.0.status" class="status">&nbsp;</span>
							<div class="comment">
								<input type="text" name="comment.2.0" placeholder="Comments">
							</div>
						</td>
						<td>
							<b>4</b>: <span id="his.2.1"><i>empty</i></span>
							<input type="text" name="idx.2.1" id="idx.2.1"
								class="required" style="width: 2em;">
							<span id="idx.2.1.status" class="status">&nbsp;</span>
							<div class="comment">
								<input type="text" name="comment.2.1" placeholder="Comments">
							</div>
						</td>
						</tr>
					</table>
					
					<div id="existingGlass" class="messagecontainer note" style="display:none;"></div>

				</td>
				<td class="status" id="index.status"></td>
				<td class="help">
					<span id="index.message" class="message"></span>
					Enter the index number (starting at 1) of the HE glass that 
					contains the best stain for each sample. Use <b>0</b> if there is no
					good stain at all for a sample. HE glass plates are created
					with names HE<i>nnnnn</i>.1, HE<i>nnnnn</i>.2, etc. where <i>nnnnn</i> 
					is the number from the paraffin block name.
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div class="step" id="step-3">
		<div class="step-no">3</div>
		<div class="step-title">Storage location for HE glass</div>
		<div class="step-content">

			<table class="step-form">
			<tr valign="top">
				<td class="input" tyle="width: 54em;">
					<div id="glassBoxInput"></div>
				</td>
				<td class="help">
					<span id="glassBox.message" class="message"></span>
					Enter the box number/name and position in which the HE glass are stored.
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div id="wizard-status"></div>
	
	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>

	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>